Bug 244637 - mount(/etc/mtab) lies
Summary: mount(/etc/mtab) lies
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-18 09:41 UTC by Rafal Wijata
Modified: 2007-11-17 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 14:53:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rafal Wijata 2007-06-18 09:41:38 UTC
Description of problem:
If filesystem gets remounted R/O by the kernel itself mount shows it's R/W.
/proc/mounts shows it correctly R/O.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2007-06-25 14:53:04 UTC
/etc/mtab shows how the filesystem was mounted using mount(8).  There's not much
we can do about the kernel re-mounting read-only.

Comment 2 Rafal Wijata 2007-07-02 07:40:03 UTC
I guess mount should not use /etc/mtab but /proc/mounts
Isn't that *BSD going this way?


Note You need to log in before you can comment on or make changes to this bug.